> For the complete documentation index, see [llms.txt](https://docs.rewst.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rewst.help/updates/marketplace-updates/2024-marketplace-updates/october-4th-2024.md).

# October 4th, 2024 - Marketplace Update

Explore the new changes to the Marketplace in the last week!

This can be anything from new crates, enhancements, or bug fixes!

<details>

<summary><strong>New crates and enhancements</strong></summary>

* Create ticket workflow
  * Adjusted to:
    * Not use any deprecated actions
    * Added the automation log
    * Use publish results as
    * Use sub-workflows when appropriate
* Update ticket workflow
  * Adjusted to:
    * Not use any deprecated actions
    * Add the automation log
    * Use publish results as
    * Use sub-workflows when appropriate

</details>

<details>

<summary><strong>Bug fixes and chores</strong></summary>

* M365: Set Calendar Permissions
  * Moved actions using with-items (e.g. `resolve_existing_perm_names` action) to sub-workflows and added error handing.
* Ad-Hoc Install/Uninstall Software via Chocolatey
  * Updated the value of the `device_list` key in the publish section of a task.
  * Added an additional condition in the list comprehension for the `device_list`.
  * Narrowed down the list of devices to those associated with a specific customer by only including items where `item.customerId` equals `ORG.VARIABLES.nable_customer_id|int`.

</details>

<details>

<summary><strong>Coming soon!</strong></summary>

* New Crate - Sonicwall Firmware Update
  * Initiate a firmware update via NSM
  * Support one or more firewall firmware upgrades at once
  * Support scheduling of firmware updates and restart times
* New Crate - Workstation Offboarding
* Utility crate - Error Handling and Reporting

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rewst.help/updates/marketplace-updates/2024-marketplace-updates/october-4th-2024.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
